package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementUserBinding.RemoveGrantDuration(ctx, operations.C1APIAppV1AppEntitlementUserBindingServiceRemoveGrantDurationRequest{
AppEntitlementID: "<id>",
AppID: "<id>",
AppUserID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.RemoveGrantDurationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementUserBinding.removeGrantDuration({
appId: "<id>",
appEntitlementId: "<id>",
appUserId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/users/{app_user_id}/remove-grant-duration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/users/{app_user_id}/remove-grant-duration"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/users/{app_user_id}/remove-grant-duration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"binding": {
"appEntitlementId": "<string>",
"appId": "<string>",
"appUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"deprovisionAt": "2023-11-07T05:31:56Z",
"grantSources": [
{
"appId": "<string>",
"id": "<string>"
}
]
}
}Remove Grant Duration
Remove the expiration time from a grant, converting it to an indefinite (standing) grant.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementUserBinding.RemoveGrantDuration(ctx, operations.C1APIAppV1AppEntitlementUserBindingServiceRemoveGrantDurationRequest{
AppEntitlementID: "<id>",
AppID: "<id>",
AppUserID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.RemoveGrantDurationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementUserBinding.removeGrantDuration({
appId: "<id>",
appEntitlementId: "<id>",
appUserId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the app that owns the entitlement.
The ID of the entitlement whose grant duration is being removed.
The ID of the app user whose grant expiration is being removed.
Body
The request message for removing the expiration time from a grant.
Response
The response message for removing the expiration time from a grant.
The response message for removing the expiration time from a grant.
The AppEntitlementUserBinding represents the relationship that gives an app user access to an app entitlement
Show child attributes
Show child attributes
Was this page helpful?